com.google.gwt.user.client.ui

## Enum DockLayoutPanel.Direction

- java.lang.Object
- - java.lang.Enum<DockLayoutPanel.Direction>
  - - com.google.gwt.user.client.ui.DockLayoutPanel.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DockLayoutPanel.Direction>
  Enclosing class:
    DockLayoutPanel

      public static enum DockLayoutPanel.Direction
      extends java.lang.Enum<DockLayoutPanel.Direction>

  Used in `DockLayoutPanel.addEast(Widget, double)` et al to specify the direction in which a child widget will be added.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `EAST`
    `LINE_END`
    `LINE_START`
    `NORTH`
    `SOUTH`
    `WEST`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DockLayoutPanel.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DockLayoutPanel.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORTH

          public static final DockLayoutPanel.Direction NORTH

    - #### EAST

          public static final DockLayoutPanel.Direction EAST

    - #### SOUTH

          public static final DockLayoutPanel.Direction SOUTH

    - #### WEST

          public static final DockLayoutPanel.Direction WEST

    - #### CENTER

          public static final DockLayoutPanel.Direction CENTER

    - #### LINE_START

          public static final DockLayoutPanel.Direction LINE_START

    - #### LINE_END

          public static final DockLayoutPanel.Direction LINE_END

  - ### Method Detail

    - #### values

          public static DockLayoutPanel.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DockLayoutPanel.Direction c : DockLayoutPanel.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DockLayoutPanel.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null